Create Entry In Data Table

Note: Please check for data table setup Create Data Table

Once the data table is ready, this API allows you to add a new entry (row) to it.

You can provide the data either as JSON values or via file uploads.
When uploading files, ensure that the request body content type is set to multipart/form-data

Path Params
string
required

The name of the data table where the entry will be made
Example: d_testdatatable

integer
required
Defaults to 101

This parameter specifies the ID of the application table.
If the associated application table is m_client, the client_id will be the apptableId as you are making an entry for that particular client.
Example: 101

Query Params
string

Optional command parameter to control file upload behavior.
When set to largeFile, the API will return presigned URLs for file upload instead of directly uploading files.
This is useful for large file uploads where the client needs to upload files directly to storage.
Example: largeFile

Body Params
json
required
Defaults to {"title":"Employee Data Table","description":"A table containing information about employees.","allowsMultipleRows":false,"columns":[{"name":"Employee ID","type":"string","required":true},{"name":"First Name","type":"string","required":true},{"name":"Last Name","type":"string","required":true},{"name":"Age","type":"number","required":true},{"name":"Department","type":"string","required":true},{"name":"Date of Joining","type":"date","required":true}],"entries":[{"Employee ID":"E001","First Name":"John","Last Name":"Doe","Age":30,"Department":"Engineering","Date of Joining":"2020-01-15"},{"Employee ID":"E002","First Name":"Jane","Last Name":"Smith","Age":25,"Department":"Marketing","Date of Joining":"2019-07-22"}]}

JSON string having data table fields details for the column of the data table
Example: {"title":"Employee Data Table","description":"A table containing information about employees.","allowsMultipleRows":false,"columns":[{"name":"Employee ID","type":"string","required":true},{"name":"First Name","type":"string","required":true},{"name":"Last Name","type":"string","required":true},{"name":"Age","type":"number","required":true},{"name":"Department","type":"string","required":true},{"name":"Date of Joining","type":"date","required":true}],"entries":[{"Employee ID":"E001","First Name":"John","Last Name":"Doe","Age":30,"Department":"Engineering","Date of Joining":"2020-01-15"},{"Employee ID":"E002","First Name":"Jane","Last Name":"Smith","Age":25,"Department":"Marketing","Date of Joining":"2019-07-22"}]}

file

The file to upload. Supported formats are PDF, JPEG, JPG, and PNG.
Please upload files in one of the supported formats.

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json